{
  pkgs,
  inputs,
  getFlakePkg',
  mainUser,
  ...
}:
{
  nix = {
    package = pkgs.lixPackageSets.git.lix;
    settings = {
      experimental-features = [
        "nix-command"
        "flakes"
        "pipe-operator"
      ];
      substitute = true;
    };
    extraOptions = ''
      keep-outputs = true
      keep-derivations = true
    '';
    optimise.automatic = true;
  };

  system.nixos.tags = [ "fatcock-xxl" ];

  hjem = {
    clobberByDefault = true;
    linker = getFlakePkg' inputs.hjem "smfh";
  };

  environment.arbys = {
    enable = true;
    clobber = true;
  };
}
